from Products.Archetypes.public import listTypes
from Products.Archetypes.Extensions.utils import installTypes, install_subskin
from Products.CMFCore.utils import getToolByName
from Products.GroupableLists.config import PROJECTNAME, GLOBALS
from Products import GroupableLists
from datetime import datetime
from StringIO import StringIO

def install(self):
    """ Main install function """
    out = StringIO()

    ## Configure and install new archetypes
    configureTypes(self, out)

    install_subskin(self, out, GLOBALS)

    print >>out, "Successfully installed %s." % PROJECTNAME
    return out.getvalue()


def configureTypes(self, out):
    """ Register new types and configure them """

    installTypes(self, out, listTypes(PROJECTNAME), PROJECTNAME)

    self.portal_factory.manage_setPortalFactoryTypes(None,['Listing'])

